package org.greenstone.gsdl3.gs3build.indexers;

public class IndexerFactory
{ public static final IndexerInterface makeIndexer(String type, String name)
  { if (type.equals(MGIndexer.MG_INDEX_TYPE)) 
    { return new MGIndexer(name);
    }
    else if (type.equals(MGPPIndexer.MGPP_INDEX_TYPE)) {
      return new MGPPIndexer(name);
    }
    return null;
  }
}
